Open CASCADE Technology: TopOpeBRepTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
TopOpeBRepTool Class Reference

This package provides services used by the TopOpeBRep package performing topological operations on the BRep data structure. More...

`#include <TopOpeBRepTool.hxx>`

## Static Public Member Functions
static Standard_Boolean | PurgeClosingEdges (const TopoDS_Face &F, const TopoDS_Face &FF, const TopTools_DataMapOfShapeInteger &MWisOld, TopTools_IndexedMapOfOrientedShape &MshNOK)
| Fuse edges (in a wire) of a shape where we have useless vertex. In case face <FF> is built on UV-non-connexed wires (with the two closing edges FORWARD and REVERSED, in spite of one only), we find out the faulty edge, add the faulty shapes (edge,wire,face) to <MshNOK>. <FF> is a face descendant of <F>. <MWisOld>(wire) = 1 if wire is wire of <F> 0 wire results from <F>'s wire splitted. returns false if purge fails. More...
static Standard_Boolean | PurgeClosingEdges (const TopoDS_Face &F, const TopTools_ListOfShape &LOF, const TopTools_DataMapOfShapeInteger &MWisOld, TopTools_IndexedMapOfOrientedShape &MshNOK)
static Standard_Boolean | CorrectONUVISO (const TopoDS_Face &F, TopoDS_Face &Fsp)
static Standard_Boolean | MakeFaces (const TopoDS_Face &F, const TopTools_ListOfShape &LOF, const TopTools_IndexedMapOfOrientedShape &MshNOK, TopTools_ListOfShape &LOFF)
| Builds up the correct list of faces <LOFF> from <LOF>, using faulty shapes from map <MshNOK>. <LOF> is the list of <F>'s descendant faces. returns false if building fails. More...
static Standard_Boolean | Regularize (const TopoDS_Face &aFace, TopTools_ListOfShape &aListOfFaces, TopTools_DataMapOfShapeListOfShape &ESplits)
| Returns <False> if the face is valid (the UV representation of the face is a set of pcurves connexed by points with connexity 2). Else, splits <aFace> in order to return a list of valid faces. More...
static Standard_Boolean | RegularizeWires (const TopoDS_Face &aFace, TopTools_DataMapOfShapeListOfShape &OldWiresNewWires, TopTools_DataMapOfShapeListOfShape &ESplits)
| Returns <False> if the face is valid (the UV representation of the face is a set of pcurves connexed by points with connexity 2). Else, splits wires of the face, these are boundaries of the new faces to build up; <OldWiresNewWires> describes (wire, splits of wire); <ESplits> describes (edge, edge's splits) More...
static Standard_Boolean | RegularizeFace (const TopoDS_Face &aFace, const TopTools_DataMapOfShapeListOfShape &OldWiresnewWires, TopTools_ListOfShape &aListOfFaces)
| Classify wire's splits of map <OldWiresnewWires> in order to compute <aListOfFaces>, the splits of <aFace>. More...
static Standard_Boolean | RegularizeShells (const TopoDS_Solid &aSolid, TopTools_DataMapOfShapeListOfShape &OldSheNewShe, TopTools_DataMapOfShapeListOfShape &FSplits)
| Returns <False> if the shell is valid (the solid is a set of faces connexed by edges with connexity 2). Else, splits faces of the shell; <OldFacesnewFaces> describes (face, splits of face). More...
static Standard_OStream & | Print (const TopOpeBRepTool_OutCurveType OCT, Standard_OStream &S)
| Prints <OCT> as string on stream <S>; returns <S>. More...

## Detailed Description

This package provides services used by the TopOpeBRep package performing topological operations on the BRep data structure.

## Member Function Documentation

static Standard_Boolean TopOpeBRepTool::CorrectONUVISO | ( | const TopoDS_Face & | F,
|  | TopoDS_Face & | Fsp
| ) |  |
| static

static Standard_Boolean TopOpeBRepTool::MakeFaces | ( | const TopoDS_Face & | F,
|  | const TopTools_ListOfShape & | LOF,
|  | const TopTools_IndexedMapOfOrientedShape & | MshNOK,
|  | TopTools_ListOfShape & | LOFF
| ) |  |
| static

Builds up the correct list of faces <LOFF> from <LOF>, using faulty shapes from map <MshNOK>. <LOF> is the list of <F>'s descendant faces. returns false if building fails.

static Standard_OStream& TopOpeBRepTool::Print | ( | const TopOpeBRepTool_OutCurveType | OCT,
|  | Standard_OStream & | S
| ) |  |
| static

Prints <OCT> as string on stream <S>; returns <S>.

static Standard_Boolean TopOpeBRepTool::PurgeClosingEdges | ( | const TopoDS_Face & | F,
|  | const TopoDS_Face & | FF,
|  | const TopTools_DataMapOfShapeInteger & | MWisOld,
|  | TopTools_IndexedMapOfOrientedShape & | MshNOK
| ) |  |
| static

Fuse edges (in a wire) of a shape where we have useless vertex. In case face <FF> is built on UV-non-connexed wires (with the two closing edges FORWARD and REVERSED, in spite of one only), we find out the faulty edge, add the faulty shapes (edge,wire,face) to <MshNOK>. <FF> is a face descendant of <F>. <MWisOld>(wire) = 1 if wire is wire of <F> 0 wire results from <F>'s wire splitted. returns false if purge fails.

static Standard_Boolean TopOpeBRepTool::PurgeClosingEdges | ( | const TopoDS_Face & | F,
|  | const TopTools_ListOfShape & | LOF,
|  | const TopTools_DataMapOfShapeInteger & | MWisOld,
|  | TopTools_IndexedMapOfOrientedShape & | MshNOK
| ) |  |
| static

static Standard_Boolean TopOpeBRepTool::Regularize | ( | const TopoDS_Face & | aFace,
|  | TopTools_ListOfShape & | aListOfFaces,
|  | TopTools_DataMapOfShapeListOfShape & | ESplits
| ) |  |
| static

Returns <False> if the face is valid (the UV representation of the face is a set of pcurves connexed by points with connexity 2). Else, splits <aFace> in order to return a list of valid faces.

static Standard_Boolean TopOpeBRepTool::RegularizeFace | ( | const TopoDS_Face & | aFace,
|  | const TopTools_DataMapOfShapeListOfShape & | OldWiresnewWires,
|  | TopTools_ListOfShape & | aListOfFaces
| ) |  |
| static

Classify wire's splits of map <OldWiresnewWires> in order to compute <aListOfFaces>, the splits of <aFace>.

static Standard_Boolean TopOpeBRepTool::RegularizeShells | ( | const TopoDS_Solid & | aSolid,
|  | TopTools_DataMapOfShapeListOfShape & | OldSheNewShe,
|  | TopTools_DataMapOfShapeListOfShape & | FSplits
| ) |  |
| static

Returns <False> if the shell is valid (the solid is a set of faces connexed by edges with connexity 2). Else, splits faces of the shell; <OldFacesnewFaces> describes (face, splits of face).

static Standard_Boolean TopOpeBRepTool::RegularizeWires | ( | const TopoDS_Face & | aFace,
|  | TopTools_DataMapOfShapeListOfShape & | OldWiresNewWires,
|  | TopTools_DataMapOfShapeListOfShape & | ESplits
| ) |  |
| static

Returns <False> if the face is valid (the UV representation of the face is a set of pcurves connexed by points with connexity 2). Else, splits wires of the face, these are boundaries of the new faces to build up; <OldWiresNewWires> describes (wire, splits of wire); <ESplits> describes (edge, edge's splits)

The documentation for this class was generated from the following file:

- TopOpeBRepTool.hxx